{% extends 'component/list_component.html.twig' %}

{% block tableHeader %}
    {% if showEditButton == true %}
        <th class="mdc-data-table__header-cell mw-80p" role="columnheader"></th>
    {% endif %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Layer-Name',
        'columnId': 'layer_name',
        'ariaLabelId': 'layer-name',
        'ariaLabelName': 'Layer Name'
    } only %}
{% endblock %}

{% block tableContent %}
    {% if showEditButton == true %}
        <td class="mdc-data-table__cell mw-80p">
            <a href="{{ path('configuration_basic_settings_wms_edit', {'id': listItem.getId()}) }}" class="material-icons mdc-icon-button mdc-card__action mdc-card__action--icon text-secondary">
                <div class="mdc-icon-button__ripple"></div>
                edit
            </a>
        </td>
    {% endif %}
    <td class="mdc-data-table__cell w-100">{{ listItem.getTitle() }}</td>
{% endblock %}
